## ifpgui 0.10.8

=== Makefile ===
#############################################################################
# Makefile for building: ifpgui
# Generated by qmake (1.07a) (Qt 3.3.5) on: Sun May 14 15:16:21 2006
# Project:  ifpgui.pro
# Template: subdirs
# Command: $(QMAKE) -o Makefile ifpgui.pro
#############################################################################

MAKEFILE =	Makefile
QMAKE    =	qmake
DEL_FILE =    rm -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p
INSTALL_FILE= 
INSTALL_DIR = 
SUBTARGETS =	 \
		sub-src

first: all

all: Makefile $(SUBTARGETS)

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "src" || $(MKDIR) "src"
	cd src && $(QMAKE) src.pro -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src && $(MAKE) -f $(MAKEFILE)

Makefile: ifpgui.pro  /usr/lib/qt3/mkspecs/default/qmake.conf 
	$(QMAKE) -o Makefile ifpgui.pro
qmake: qmake_all
	@$(QMAKE) -o Makefile ifpgui.pro

all: $(SUBTARGETS)
qmake_all: src/$(MAKEFILE)
	 ( [ -d src ] && cd src ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
clean uicables mocables uiclean mocclean lexclean yaccclean : qmake_all FORCE
	 ( [ -d src ] && cd src ; $(MAKE) -f $(MAKEFILE) $@; ) || true
uninstall_subdirs: qmake_all FORCE
	 ( [ -d src ] && cd src ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
install_subdirs: qmake_all FORCE
	 ( [ -d src ] && cd src ; $(MAKE) -f $(MAKEFILE) install; ) || true
distclean: qmake_all FORCE
	 ( [ -d src ] && cd src ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true

install:  install_subdirs

uninstall:  uninstall_subdirs

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: ../bin/ifpgui
# Generated by qmake (1.07a) (Qt 3.3.5) on: Sun May 14 15:16:12 2006
# Project:  src.pro
# Template: app
# Command: $(QMAKE) -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -O2 -march=i586 -mtune=i686 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -g -fno-strict-aliasing -Wall -W -O2 -march=i586 -mtune=i686 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -g -fno-strict-aliasing  -DQT_NO_DEBUG -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_THREAD_SUPPORT
CXXFLAGS = -pipe -O2 -march=i586 -mtune=i686 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -g -fno-strict-aliasing -Wall -W -O2 -march=i586 -mtune=i686 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -g -fno-strict-aliasing  -DQT_NO_DEBUG -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_THREAD_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt3/mkspecs/default -I. -I/usr/include -I$(QTDIR)/include
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L/usr/local/lib -L/usr/X11R6/lib -L$(QTDIR)/lib/ -L/usr/X11R6/lib/ -lusb -L/usr/local/lib -L/usr/X11R6/lib -lqt-mt -lXext -lX11 -lm
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = ifp_gui.h \
		fileviewer.h \
		ifpguiview.h \
		ifptoolbar.h \
		progressdlg.h \
		createdirdlg.h \
		settings.h \
		gui_user.h \
		ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h \
		radiofreqdlg.h \
		ifprecconv/adpcm.h \
		ifprecconv/endian.h \
		ifprecconv.h \
		playlist/playlistloader.h \
		revision.h \
		iointerface.h \
		ifpinterface.h
SOURCES = ifp_gui.cpp \
		main.cpp \
		fileviewer.cpp \
		ifpguiview.cpp \
		ifptoolbar.cpp \
		progressdlg.cpp \
		createdirdlg.cpp \
		settings.cpp \
		gui_user.cpp \
		libifp/comp.c \
		libifp/error_strings.c \
		libifp/ifp_os_libusb.c \
		libifp/prim.c \
		libifp/readwrite.c \
		libifp/tuner.c \
		libifp/userfile.c \
		radiofreqdlg.cpp \
		ifprecconv/adpcm.c \
		ifprecconv/ifprecconv.c \
		playlist/playlistloader.cpp \
		revision.cpp \
		iointerface.cpp \
		ifpinterface.cpp
OBJECTS = ifp_gui.o \
		main.o \
		fileviewer.o \
		ifpguiview.o \
		ifptoolbar.o \
		progressdlg.o \
		createdirdlg.o \
		settings.o \
		gui_user.o \
		comp.o \
		error_strings.o \
		ifp_os_libusb.o \
		prim.o \
		readwrite.o \
		tuner.o \
		userfile.o \
		radiofreqdlg.o \
		adpcm.o \
		ifprecconv.o \
		playlistloader.o \
		revision.o \
		iointerface.o \
		ifpinterface.o \
		qmake_image_collection.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = moc_ifp_gui.cpp \
		moc_fileviewer.cpp \
		moc_ifpguiview.cpp \
		moc_ifptoolbar.cpp \
		moc_progressdlg.cpp \
		moc_createdirdlg.cpp \
		moc_radiofreqdlg.cpp
OBJMOC = moc_ifp_gui.o \
		moc_fileviewer.o \
		moc_ifpguiview.o \
		moc_ifptoolbar.o \
		moc_progressdlg.o \
		moc_createdirdlg.o \
		moc_radiofreqdlg.o
DIST	   = src.pro
QMAKE_TARGET = ifpgui
DESTDIR  = ../bin/
TARGET   = ../bin/ifpgui

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	test -d ../bin/ || mkdir -p ../bin/
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: src.pro  /usr/lib/qt3/mkspecs/default/qmake.conf /usr/lib/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile src.pro
qmake: 
	@$(QMAKE) -o Makefile src.pro

dist: 
	@mkdir -p .tmp/ifpgui && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/ifpgui/ && $(COPY_FILE) --parents translations/ifpgui_ru.ts translations/ifpgui_da_DK.ts translations/ifpgui_de.ts translations/ifpgui_blank.ts .tmp/ifpgui/ && $(COPY_FILE) --parents battery0.png battery1.png battery2.png battery3.png battery4.png download_s.png editdelete_s.png fileclose_s.png format_s.png radio_s.png reload_s.png upload_s.png multimedia.png music.png playlist.png delete.png newfolder.png properties.png reload.png rename.png updirectory.png view_left_right.png view_top_bottom.png .tmp/ifpgui/ && ( cd `dirname .tmp/ifpgui` && $(TAR) ifpgui.tar ifpgui && $(GZIP) ifpgui.tar ) && $(MOVE) `dirname .tmp/ifpgui`/ifpgui.tar.gz . && $(DEL_FILE) -r .tmp/ifpgui

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:

yaccclean:
lexclean:
clean: mocclean
	-$(DEL_FILE) $(OBJECTS)
		-$(DEL_FILE) qmake_image_collection.cpp
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../bin/$(TARGET) $(TARGET)


FORCE:

####### Compile

ifp_gui.o: ifp_gui.cpp ifpinterface.h \
		radiofreqdlg.h \
		revision.h \
		ifp_gui.h \
		ifp.h \
		ifpguiview.h \
		fileviewer.h \
		settings.h \
		ifptoolbar.h \
		iointerface.h \
		gui_user.h

main.o: main.cpp ifp_gui.h \
		ifpguiview.h \
		fileviewer.h \
		settings.h \
		ifptoolbar.h \
		iointerface.h \
		gui_user.h

fileviewer.o: fileviewer.cpp fileviewer.h \
		progressdlg.h \
		ifpinterface.h \
		createdirdlg.h \
		iointerface.h \
		gui_user.h \
		ifp.h

ifpguiview.o: ifpguiview.cpp ifpguiview.h \
		radiofreqdlg.h \
		playlist/playlistloader.h \
		progressdlg.h \
		iointerface.h \
		gui_user.h \
		fileviewer.h \
		settings.h \
		ifptoolbar.h \
		ifpinterface.h \
		ifp.h

ifptoolbar.o: ifptoolbar.cpp ifptoolbar.h

progressdlg.o: progressdlg.cpp progressdlg.h \
		ifpinterface.h \
		ifp.h

createdirdlg.o: createdirdlg.cpp createdirdlg.h

settings.o: settings.cpp settings.h

gui_user.o: gui_user.cpp gui_user.h \
		iointerface.h \
		ifpinterface.h \
		progressdlg.h \
		ifp.h

comp.o: libifp/comp.c ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o comp.o libifp/comp.c

error_strings.o: libifp/error_strings.c ifp.h \
		libifp/ifp_os.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o error_strings.o libifp/error_strings.c

ifp_os_libusb.o: libifp/ifp_os_libusb.c ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o ifp_os_libusb.o libifp/ifp_os_libusb.c

prim.o: libifp/prim.c ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o prim.o libifp/prim.c

readwrite.o: libifp/readwrite.c ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o readwrite.o libifp/readwrite.c

tuner.o: libifp/tuner.c ifp.h \
		libifp/ifp_os.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o tuner.o libifp/tuner.c

userfile.o: libifp/userfile.c ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o userfile.o libifp/userfile.c

radiofreqdlg.o: radiofreqdlg.cpp radiofreqdlg.h \
		gui_user.h \
		ifpinterface.h \
		ifp.h

adpcm.o: ifprecconv/adpcm.c ifprecconv/adpcm.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o adpcm.o ifprecconv/adpcm.c

ifprecconv.o: ifprecconv/ifprecconv.c ifprecconv/adpcm.h \
		ifprecconv/endian.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o ifprecconv.o ifprecconv/ifprecconv.c

playlistloader.o: playlist/playlistloader.cpp playlist/playlistloader.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o playlistloader.o playlist/playlistloader.cpp

revision.o: revision.cpp 

iointerface.o: iointerface.cpp progressdlg.h \
		createdirdlg.h \
		iointerface.h \
		ifpinterface.h \
		ifp.h \
		gui_user.h

ifpinterface.o: ifpinterface.cpp ifpinterface.h \
		ifprecconv.h \
		ifp.h

moc_ifp_gui.o: moc_ifp_gui.cpp  ifp_gui.h ifpguiview.h \
		fileviewer.h \
		settings.h \
		ifptoolbar.h \
		iointerface.h \
		gui_user.h

moc_fileviewer.o: moc_fileviewer.cpp  fileviewer.h iointerface.h \
		gui_user.h

moc_ifpguiview.o: moc_ifpguiview.cpp  ifpguiview.h fileviewer.h \
		settings.h \
		ifptoolbar.h \
		iointerface.h \
		gui_user.h

moc_ifptoolbar.o: moc_ifptoolbar.cpp  ifptoolbar.h 

moc_progressdlg.o: moc_progressdlg.cpp  progressdlg.h ifpinterface.h \
		ifp.h

moc_createdirdlg.o: moc_createdirdlg.cpp  createdirdlg.h 

moc_radiofreqdlg.o: moc_radiofreqdlg.cpp  radiofreqdlg.h ifpinterface.h \
		ifp.h

moc_ifp_gui.cpp: $(MOC) ifp_gui.h
	$(MOC) ifp_gui.h -o moc_ifp_gui.cpp

moc_fileviewer.cpp: $(MOC) fileviewer.h
	$(MOC) fileviewer.h -o moc_fileviewer.cpp

moc_ifpguiview.cpp: $(MOC) ifpguiview.h
	$(MOC) ifpguiview.h -o moc_ifpguiview.cpp

moc_ifptoolbar.cpp: $(MOC) ifptoolbar.h
	$(MOC) ifptoolbar.h -o moc_ifptoolbar.cpp

moc_progressdlg.cpp: $(MOC) progressdlg.h
	$(MOC) progressdlg.h -o moc_progressdlg.cpp

moc_createdirdlg.cpp: $(MOC) createdirdlg.h
	$(MOC) createdirdlg.h -o moc_createdirdlg.cpp

moc_radiofreqdlg.cpp: $(MOC) radiofreqdlg.h
	$(MOC) radiofreqdlg.h -o moc_radiofreqdlg.cpp

qmake_image_collection.o: qmake_image_collection.cpp

qmake_image_collection.cpp: battery0.png \
		battery1.png \
		battery2.png \
		battery3.png \
		battery4.png \
		download_s.png \
		editdelete_s.png \
		fileclose_s.png \
		format_s.png \
		radio_s.png \
		reload_s.png \
		upload_s.png \
		multimedia.png \
		music.png \
		playlist.png \
		delete.png \
		newfolder.png \
		properties.png \
		reload.png \
		rename.png \
		updirectory.png \
		view_left_right.png \
		view_top_bottom.png
	$(UIC)  -embed ifpgui battery0.png battery1.png battery2.png battery3.png battery4.png download_s.png editdelete_s.png fileclose_s.png format_s.png radio_s.png reload_s.png upload_s.png multimedia.png music.png playlist.png delete.png newfolder.png properties.png reload.png rename.png updirectory.png view_left_right.png view_top_bottom.png -o qmake_image_collection.cpp

####### Install

install:  

uninstall:

## ifpgui 0.12.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
-# Makefile for building: ifpgui
-# Generated by qmake (1.07a) (Qt 3.3.5) on: Sun May 14 15:16:21 2006
+# Makefile for building: ../bin/ifpgui
+# Generated by qmake (1.07a) (Qt 3.3.8) on: Thu Aug 30 21:25:33 2007
 # Project:  ifpgui.pro
 # Template: subdirs
 # Command: $(QMAKE) -o Makefile ifpgui.pro

## ifpgui 0.12.1

=== src/Makefile ===
#############################################################################
# Makefile for building: ../bin/ifpgui
# Generated by qmake (1.07a) (Qt 3.3.8) on: Thu Aug 30 21:25:33 2007
# Project:  src.pro
# Template: app
# Command: $(QMAKE) -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -march=i586 -mtune=i686 -fmessage-length=0 -D_FORTIFY_SOURCE=2 -O2 -fno-strict-aliasing -Wall -W -g  -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_NO_DEBUG -DQT_THREAD_SUPPORT
CXXFLAGS = -pipe -march=i586 -mtune=i686 -fmessage-length=0 -D_FORTIFY_SOURCE=2 -O2 -fno-strict-aliasing -Wall -W -g  -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_NO_DEBUG -DQT_THREAD_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt3/mkspecs/default -I. -I/usr/include -I$(QTDIR)/include -I/usr/X11R6/include -Imoc/
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L/usr/lib/ -L$(QTDIR)/lib/ -L/usr/X11R6/lib/ -lusb -L/usr/local/lib -L/usr/X11R6/lib -lqt-mt -lXext -lX11 -lm
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = obj/

####### Files

HEADERS = ifp_gui.h \
		fileviewer.h \
		ifpguiview.h \
		ifptoolbar.h \
		progressdlg.h \
		createdirdlg.h \
		settings.h \
		gui_user.h \
		ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h \
		radiofreqdlg.h \
		ifprecconv/adpcm.h \
		ifprecconv/endian.h \
		ifprecconv.h \
		playlist/playlistloader.h \
		revision.h \
		iointerface.h \
		ifpinterface.h
SOURCES = ifp_gui.cpp \
		main.cpp \
		fileviewer.cpp \
		ifpguiview.cpp \
		ifptoolbar.cpp \
		progressdlg.cpp \
		createdirdlg.cpp \
		settings.cpp \
		gui_user.cpp \
		libifp/comp.c \
		libifp/error_strings.c \
		libifp/ifp_os_libusb.c \
		libifp/prim.c \
		libifp/readwrite.c \
		libifp/tuner.c \
		libifp/userfile.c \
		radiofreqdlg.cpp \
		ifprecconv/adpcm.c \
		ifprecconv/ifprecconv.c \
		playlist/playlistloader.cpp \
		revision.cpp \
		iointerface.cpp \
		ifpinterface.cpp
OBJECTS = obj/ifp_gui.o \
		obj/main.o \
		obj/fileviewer.o \
		obj/ifpguiview.o \
		obj/ifptoolbar.o \
		obj/progressdlg.o \
		obj/createdirdlg.o \
		obj/settings.o \
		obj/gui_user.o \
		obj/comp.o \
		obj/error_strings.o \
		obj/ifp_os_libusb.o \
		obj/prim.o \
		obj/readwrite.o \
		obj/tuner.o \
		obj/userfile.o \
		obj/radiofreqdlg.o \
		obj/adpcm.o \
		obj/ifprecconv.o \
		obj/playlistloader.o \
		obj/revision.o \
		obj/iointerface.o \
		obj/ifpinterface.o \
		obj/qmake_image_collection.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = moc/moc_ifp_gui.cpp \
		moc/moc_fileviewer.cpp \
		moc/moc_ifpguiview.cpp \
		moc/moc_ifptoolbar.cpp \
		moc/moc_progressdlg.cpp \
		moc/moc_createdirdlg.cpp \
		moc/moc_radiofreqdlg.cpp
OBJMOC = obj/moc_ifp_gui.o \
		obj/moc_fileviewer.o \
		obj/moc_ifpguiview.o \
		obj/moc_ifptoolbar.o \
		obj/moc_progressdlg.o \
		obj/moc_createdirdlg.o \
		obj/moc_radiofreqdlg.o
DIST	   = src.pro
QMAKE_TARGET = ifpgui
DESTDIR  = ../bin/
TARGET   = ../bin/ifpgui

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	test -d ../bin/ || mkdir -p ../bin/
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: src.pro  /usr/lib/qt3/mkspecs/default/qmake.conf /usr/lib/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile src.pro
qmake: 
	@$(QMAKE) -o Makefile src.pro

dist: 
	@mkdir -p obj/ifpgui && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) obj/ifpgui/ && $(COPY_FILE) --parents translations/ifpgui_ru.ts translations/ifpgui_da_DK.ts translations/ifpgui_de.ts translations/ifpgui_blank.ts obj/ifpgui/ && $(COPY_FILE) --parents battery0.png battery1.png battery2.png battery3.png battery4.png download_s.png editdelete_s.png fileclose_s.png format_s.png radio_s.png reload_s.png upload_s.png multimedia.png music.png playlist.png delete.png newfolder.png properties.png reload.png rename.png updirectory.png view_left_right.png view_top_bottom.png obj/ifpgui/ && ( cd `dirname obj/ifpgui` && $(TAR) ifpgui.tar ifpgui && $(GZIP) ifpgui.tar ) && $(MOVE) `dirname obj/ifpgui`/ifpgui.tar.gz . && $(DEL_FILE) -r obj/ifpgui

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:

yaccclean:
lexclean:
clean: mocclean
	-$(DEL_FILE) $(OBJECTS)
		-$(DEL_FILE) qmake_image_collection.cpp
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../bin/$(TARGET) $(TARGET)


FORCE:

####### Compile

obj/ifp_gui.o: ifp_gui.cpp ifpinterface.h \
		radiofreqdlg.h \
		revision.h \
		ifp_gui.h \
		ifp.h \
		ifpguiview.h \
		fileviewer.h \
		settings.h \
		ifptoolbar.h \
		iointerface.h \
		gui_user.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/ifp_gui.o ifp_gui.cpp

obj/main.o: main.cpp ifp_gui.h \
		ifpguiview.h \
		fileviewer.h \
		settings.h \
		ifptoolbar.h \
		iointerface.h \
		gui_user.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/main.o main.cpp

obj/fileviewer.o: fileviewer.cpp fileviewer.h \
		progressdlg.h \
		ifpinterface.h \
		createdirdlg.h \
		iointerface.h \
		gui_user.h \
		ifp.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/fileviewer.o fileviewer.cpp

obj/ifpguiview.o: ifpguiview.cpp ifpguiview.h \
		radiofreqdlg.h \
		playlist/playlistloader.h \
		progressdlg.h \
		iointerface.h \
		gui_user.h \
		fileviewer.h \
		settings.h \
		ifptoolbar.h \
		ifpinterface.h \
		ifp.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/ifpguiview.o ifpguiview.cpp

obj/ifptoolbar.o: ifptoolbar.cpp ifptoolbar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/ifptoolbar.o ifptoolbar.cpp

obj/progressdlg.o: progressdlg.cpp progressdlg.h \
		ifpinterface.h \
		ifp.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/progressdlg.o progressdlg.cpp

obj/createdirdlg.o: createdirdlg.cpp createdirdlg.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/createdirdlg.o createdirdlg.cpp

obj/settings.o: settings.cpp settings.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/settings.o settings.cpp

obj/gui_user.o: gui_user.cpp gui_user.h \
		iointerface.h \
		ifpinterface.h \
		progressdlg.h \
		ifp.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/gui_user.o gui_user.cpp

obj/comp.o: libifp/comp.c ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o obj/comp.o libifp/comp.c

obj/error_strings.o: libifp/error_strings.c ifp.h \
		libifp/ifp_os.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o obj/error_strings.o libifp/error_strings.c

obj/ifp_os_libusb.o: libifp/ifp_os_libusb.c ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o obj/ifp_os_libusb.o libifp/ifp_os_libusb.c

obj/prim.o: libifp/prim.c ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o obj/prim.o libifp/prim.c

obj/readwrite.o: libifp/readwrite.c ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o obj/readwrite.o libifp/readwrite.c

obj/tuner.o: libifp/tuner.c ifp.h \
		libifp/ifp_os.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o obj/tuner.o libifp/tuner.c

obj/userfile.o: libifp/userfile.c ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o obj/userfile.o libifp/userfile.c

obj/radiofreqdlg.o: radiofreqdlg.cpp radiofreqdlg.h \
		gui_user.h \
		ifpinterface.h \
		ifp.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/radiofreqdlg.o radiofreqdlg.cpp

obj/adpcm.o: ifprecconv/adpcm.c ifprecconv/adpcm.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o obj/adpcm.o ifprecconv/adpcm.c

obj/ifprecconv.o: ifprecconv/ifprecconv.c ifprecconv/adpcm.h \
		ifprecconv/endian.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o obj/ifprecconv.o ifprecconv/ifprecconv.c

obj/playlistloader.o: playlist/playlistloader.cpp playlist/playlistloader.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/playlistloader.o playlist/playlistloader.cpp

obj/revision.o: revision.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/revision.o revision.cpp

obj/iointerface.o: iointerface.cpp progressdlg.h \
		createdirdlg.h \
		iointerface.h \
		ifpinterface.h \
		ifp.h \
		gui_user.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/iointerface.o iointerface.cpp

obj/ifpinterface.o: ifpinterface.cpp ifpinterface.h \
		ifprecconv.h \
		ifp.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/ifpinterface.o ifpinterface.cpp

obj/moc_ifp_gui.o: moc/moc_ifp_gui.cpp  ifp_gui.h ifpguiview.h \
		fileviewer.h \
		settings.h \
		ifptoolbar.h \
		iointerface.h \
		gui_user.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_ifp_gui.o moc/moc_ifp_gui.cpp

obj/moc_fileviewer.o: moc/moc_fileviewer.cpp  fileviewer.h iointerface.h \
		gui_user.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_fileviewer.o moc/moc_fileviewer.cpp

obj/moc_ifpguiview.o: moc/moc_ifpguiview.cpp  ifpguiview.h fileviewer.h \
		settings.h \
		ifptoolbar.h \
		iointerface.h \
		gui_user.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_ifpguiview.o moc/moc_ifpguiview.cpp

obj/moc_ifptoolbar.o: moc/moc_ifptoolbar.cpp  ifptoolbar.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_ifptoolbar.o moc/moc_ifptoolbar.cpp

obj/moc_progressdlg.o: moc/moc_progressdlg.cpp  progressdlg.h ifpinterface.h \
		ifp.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_progressdlg.o moc/moc_progressdlg.cpp

obj/moc_createdirdlg.o: moc/moc_createdirdlg.cpp  createdirdlg.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_createdirdlg.o moc/moc_createdirdlg.cpp

obj/moc_radiofreqdlg.o: moc/moc_radiofreqdlg.cpp  radiofreqdlg.h ifpinterface.h \
		ifp.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_radiofreqdlg.o moc/moc_radiofreqdlg.cpp

moc/moc_ifp_gui.cpp: $(MOC) ifp_gui.h
	$(MOC) ifp_gui.h -o moc/moc_ifp_gui.cpp

moc/moc_fileviewer.cpp: $(MOC) fileviewer.h
	$(MOC) fileviewer.h -o moc/moc_fileviewer.cpp

moc/moc_ifpguiview.cpp: $(MOC) ifpguiview.h
	$(MOC) ifpguiview.h -o moc/moc_ifpguiview.cpp

moc/moc_ifptoolbar.cpp: $(MOC) ifptoolbar.h
	$(MOC) ifptoolbar.h -o moc/moc_ifptoolbar.cpp

moc/moc_progressdlg.cpp: $(MOC) progressdlg.h
	$(MOC) progressdlg.h -o moc/moc_progressdlg.cpp

moc/moc_createdirdlg.cpp: $(MOC) createdirdlg.h
	$(MOC) createdirdlg.h -o moc/moc_createdirdlg.cpp

moc/moc_radiofreqdlg.cpp: $(MOC) radiofreqdlg.h
	$(MOC) radiofreqdlg.h -o moc/moc_radiofreqdlg.cpp

obj/qmake_image_collection.o: qmake_image_collection.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/qmake_image_collection.o qmake_image_collection.cpp

qmake_image_collection.cpp: battery0.png \
		battery1.png \
		battery2.png \
		battery3.png \
		battery4.png \
		download_s.png \
		editdelete_s.png \
		fileclose_s.png \
		format_s.png \
		radio_s.png \
		reload_s.png \
		upload_s.png \
		multimedia.png \
		music.png \
		playlist.png \
		delete.png \
		newfolder.png \
		properties.png \
		reload.png \
		rename.png \
		updirectory.png \
		view_left_right.png \
		view_top_bottom.png
	$(UIC)  -embed ifpgui battery0.png battery1.png battery2.png battery3.png battery4.png download_s.png editdelete_s.png fileclose_s.png format_s.png radio_s.png reload_s.png upload_s.png multimedia.png music.png playlist.png delete.png newfolder.png properties.png reload.png rename.png updirectory.png view_left_right.png view_top_bottom.png -o qmake_image_collection.cpp

####### Install

install:  

uninstall:

=== debian/changelog ===
ifpgui (0.12.1-1) unstable; urgency=low

  * New upstream release.
  * Update to policy version 3.8.4.  No changes required.
  * Updated debhelper compatibility to 7.
  * Converted to source format 3.0 (quilt).
  * Lintian goodies:
  * Added misc:Depends to dependencies. 
  * Don't ignore real make clean errors.
  * Exterminate dh_desktop.

 -- Jacob Luna Lundberg <jacob@gnifty.net>  Sat, 13 Feb 2010 14:59:59 -0800

ifpgui (0.12.0-1) unstable; urgency=low

  * New upstream release.
    Fixes a bug that sometimes caused upload or download corruption.
  * Change MOC_DIR and OBJECT_DIR caches to relative locations.
  * Fix man page version.
  * Update dh compat level to 5 ... and update debian/control.
  * Add dh_desktop call to debian/rules.
  * Reduce package priority to extra because it depends on libifp4.
  * Update to policy version 3.7.3.0.  No changes required.

 -- Jacob Luna Lundberg <jacob@gnifty.net>  Mon, 11 Feb 2008 11:34:44 -0800

ifpgui (0.10.8-1) unstable; urgency=low

  * New upstream release.
  * Correct appRevision variable in src/revision.cpp.
  * Clarify in several places exactly which iRiver devices work.

 -- Jacob Luna Lundberg <jacob@gnifty.net>  Sun, 11 Jun 2006 17:19:51 -0700

ifpgui (0.10.7-3) unstable; urgency=low

  * Update to policy version 3.7.2.0.  No changes required.
  * Modify package description based on several peoples' suggestions.
  * Clarify in debian/copyright which license applies to which files.

 -- Jacob Luna Lundberg <jacob@gnifty.net>  Sun, 14 May 2006 09:49:49 -0700

ifpgui (0.10.7-2) unstable; urgency=low

  * Upload to debian archive (Closes: #365951).
  * Remove src/translations/*qm in debian/rules clean.
  * Add empty binary-indep target to debian/rules.
  * Create basic man page for ifpgui.
  * Add build dep on libqt3-mt-dev to make pbuilder work.

 -- Jacob Luna Lundberg <jacob@gnifty.net>  Tue, 02 May 2006 23:41:49 -0700

ifpgui (0.10.7-1) unstable; urgency=low

  * Upgrade to newest upstream release.
  * Add a .desktop file to the installation, as it isn't there anymore.
  * Rename the package and the main binary (because upstream renamed it).
  * Update debian/copyright to debian standards, and improve debian/control.

 -- Jacob Luna Lundberg <jacob@gnifty.net>  Sat, 29 Apr 2006 11:07:30 -0700

ifp-gui (0.10.5-2) unstable; urgency=low

  * Remove startup notification from .desktop file, this app doesn't have it.

 -- John Steele Scott <toojays@toojays.net>  Thu,  1 Dec 2005 20:02:51 +1030

ifp-gui (0.10.5-1) unstable; urgency=low

  * Initial release. Added .desktop file.

 -- John Steele Scott <toojays@toojays.net>  Sun, 27 Nov 2005 21:44:17 +1030

=== debian/control ===
Source: ifpgui
Section: sound
Priority: extra
Homepage: http://ifpgui.sourceforge.net/
Maintainer: Jacob Luna Lundberg <jacob@gnifty.net>
Build-Depends: debhelper (>= 7), qt3-dev-tools, libqt3-mt-dev, libusb-dev, libifp-dev (>= 1.0.0.2)
Standards-Version: 3.8.4

Package: ifpgui
Architecture: any
Replaces: ifp-gui
Depends: ${shlibs:Depends}, ${misc:Depends}, libifp4 (>= 1.0.0.2)
Recommends: udev
Description: QT based manager for iRiver iFP audio players
 This project is an open-source graphical user interface (GUI)
 for iRiver's iFP flash audio players.  It uses libifp to access
 the player over the management interface.
 .
 This program does not work with the H series players.  These
 models are known to work: iFP-1xx,3xx,5xx,7xx,8xx,9xx and N10.
 You can only use this software if your player has the
 "Management" version of iRiver's firmware installed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g
QMAKE = qmake

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


build:
	dh_testdir
	cd src && lrelease src.pro && $(QMAKE) src.pro
	$(QMAKE) ifpgui.pro
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	$(QMAKE) ifpgui.pro
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean
	-rm -rf bin
	-rm Makefile src/Makefile
	-rm src/translations/*qm
	-rm -rf src/moc src/obj

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean 
	dh_installdirs usr/bin usr/share/qt3/translations usr/share/applications
	dh_install src/translations/*.qm usr/share/qt3/translations
	dh_install bin/ifpgui usr/bin
	dh_install debian/ifpgui.desktop usr/share/applications
	dh_installchangelogs CHANGELOG
	dh_installdocs ifpgui.faq README
	dh_installman debian/ifpgui.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

binary: binary-arch

get-orig-source:
	wget http://optusnet.dl.sourceforge.net/sourceforge/ifpgui/ifpgui-0.12.0.tar.gz && mv

.PHONY: build clean binary-indep binary-arch binary install configure

## ifpgui 1.0.0

=== Makefile ===
#############################################################################
# Makefile for building: bin/ifpgui
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Jun 6 23:25:23 2010
# Project:  ifpgui.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile ifpgui.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -fmessage-length=0 -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables -fasynchronous-unwind-tables -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -fmessage-length=0 -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables -fasynchronous-unwind-tables -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/default -I. -I/usr/include/QtCore -I/usr/include/QtGui -I/usr/include/QtXml -I/usr/include -Ibuild/moc
LINK          = g++
LFLAGS        = -m64 -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib64 -L/usr/lib -lusb-1.0 -lQtXml -L/usr/lib64 -lQtGui -L/usr/X11R6/lib64 -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/obj/

####### Files

SOURCES       = settings.cpp \
		revision.cpp \
		radiofreqdlg.cpp \
		main.cpp \
		ifpguiview.cpp \
		ifp_gui.cpp \
		gui_user.cpp \
		fileviewer.cpp \
		createdirdlg.cpp \
		backend/iointerface.cpp \
		backend/ifpinterface.cpp \
		ifprecconv/ifprecconv.c \
		ifprecconv/adpcm.c \
		libifp/userfile.c \
		libifp/tuner.c \
		libifp/readwrite.c \
		libifp/prim.c \
		libifp/ifp_os_libusb.c \
		libifp/error_strings.c \
		libifp/comp.c \
		playlist/playlistloader.cpp build/moc/moc_radiofreqdlg.cpp \
		build/moc/moc_ifpguiview.cpp \
		build/moc/moc_ifp_gui.cpp \
		build/moc/moc_fileviewer.cpp \
		build/moc/moc_createdirdlg.cpp \
		qrc_ifpgui.cpp
OBJECTS       = build/obj/settings.o \
		build/obj/revision.o \
		build/obj/radiofreqdlg.o \
		build/obj/main.o \
		build/obj/ifpguiview.o \
		build/obj/ifp_gui.o \
		build/obj/gui_user.o \
		build/obj/fileviewer.o \
		build/obj/createdirdlg.o \
		build/obj/iointerface.o \
		build/obj/ifpinterface.o \
		build/obj/ifprecconv.o \
		build/obj/adpcm.o \
		build/obj/userfile.o \
		build/obj/tuner.o \
		build/obj/readwrite.o \
		build/obj/prim.o \
		build/obj/ifp_os_libusb.o \
		build/obj/error_strings.o \
		build/obj/comp.o \
		build/obj/playlistloader.o \
		build/obj/moc_radiofreqdlg.o \
		build/obj/moc_ifpguiview.o \
		build/obj/moc_ifp_gui.o \
		build/obj/moc_fileviewer.o \
		build/obj/moc_createdirdlg.o \
		build/obj/qrc_ifpgui.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		ifpgui.pro
QMAKE_TARGET  = ifpgui
DESTDIR       = bin/
TARGET        = bin/ifpgui

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) bin/ || $(MKDIR) bin/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ifpgui.pro  /usr/share/qt4/mkspecs/default/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib64/libQtXml.prl \
		/usr/lib64/libQtCore.prl \
		/usr/lib64/libQtGui.prl
	$(QMAKE) -unix -o Makefile ifpgui.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib64/libQtXml.prl:
/usr/lib64/libQtCore.prl:
/usr/lib64/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile ifpgui.pro

dist: 
	@$(CHK_DIR_EXISTS) build/obj/ifpgui1.0.0 || $(MKDIR) build/obj/ifpgui1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/obj/ifpgui1.0.0/ && $(COPY_FILE) --parents settings.h revision.h radiofreqdlg.h ifprecconv.h ifpguiview.h ifp_gui.h ifp.h gui_user.h fileviewer.h createdirdlg.h backend/iointerface.h backend/ifpinterface.h ifprecconv/endian.h ifprecconv/adpcm.h libifp/prim.h libifp/ifp_os.h playlist/playlistloader.h build/obj/ifpgui1.0.0/ && $(COPY_FILE) --parents ifpgui.qrc build/obj/ifpgui1.0.0/ && $(COPY_FILE) --parents settings.cpp revision.cpp radiofreqdlg.cpp main.cpp ifpguiview.cpp ifp_gui.cpp gui_user.cpp fileviewer.cpp createdirdlg.cpp backend/iointerface.cpp backend/ifpinterface.cpp ifprecconv/ifprecconv.c ifprecconv/adpcm.c libifp/userfile.c libifp/tuner.c libifp/readwrite.c libifp/prim.c libifp/ifp_os_libusb.c libifp/error_strings.c libifp/comp.c playlist/playlistloader.cpp build/obj/ifpgui1.0.0/ && $(COPY_FILE) --parents translations/ifpgui_ru.ts translations/ifpgui_da_DK.ts translations/ifpgui_de.ts translations/ifpgui_ca.ts translations/ifpgui_blank.ts build/obj/ifpgui1.0.0/ && (cd `dirname build/obj/ifpgui1.0.0` && $(TAR) ifpgui1.0.0.tar ifpgui1.0.0 && $(COMPRESS) ifpgui1.0.0.tar) && $(MOVE) `dirname build/obj/ifpgui1.0.0`/ifpgui1.0.0.tar.gz . && $(DEL_FILE) -r build/obj/ifpgui1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: build/moc/moc_radiofreqdlg.cpp build/moc/moc_ifpguiview.cpp build/moc/moc_ifp_gui.cpp build/moc/moc_fileviewer.cpp build/moc/moc_createdirdlg.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) build/moc/moc_radiofreqdlg.cpp build/moc/moc_ifpguiview.cpp build/moc/moc_ifp_gui.cpp build/moc/moc_fileviewer.cpp build/moc/moc_createdirdlg.cpp
build/moc/moc_radiofreqdlg.cpp: backend/ifpinterface.h \
		ifp.h \
		radiofreqdlg.h
	/usr/bin/moc $(DEFINES) $(INCPATH) radiofreqdlg.h -o build/moc/moc_radiofreqdlg.cpp

build/moc/moc_ifpguiview.cpp: fileviewer.h \
		backend/iointerface.h \
		gui_user.h \
		settings.h \
		ifpguiview.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ifpguiview.h -o build/moc/moc_ifpguiview.cpp

build/moc/moc_ifp_gui.cpp: ifpguiview.h \
		fileviewer.h \
		backend/iointerface.h \
		gui_user.h \
		settings.h \
		ifp_gui.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ifp_gui.h -o build/moc/moc_ifp_gui.cpp

build/moc/moc_fileviewer.cpp: backend/iointerface.h \
		gui_user.h \
		fileviewer.h
	/usr/bin/moc $(DEFINES) $(INCPATH) fileviewer.h -o build/moc/moc_fileviewer.cpp

build/moc/moc_createdirdlg.cpp: createdirdlg.h
	/usr/bin/moc $(DEFINES) $(INCPATH) createdirdlg.h -o build/moc/moc_createdirdlg.cpp

compiler_rcc_make_all: qrc_ifpgui.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_ifpgui.cpp
qrc_ifpgui.cpp: ifpgui.qrc \
		images/battery3.png \
		images/multimedia.png \
		images/format_s.png \
		images/editdelete_s.png \
		images/reload.png \
		images/folder.png \
		images/playlist.png \
		images/music.png \
		images/battery2.png \
		images/delete.png \
		images/download_s.png \
		images/folder-locked.png \
		images/upload_s.png \
		images/rename.png \
		images/battery1.png \
		images/view_left_right.png \
		images/updirectory.png \
		images/reload_s.png \
		images/audio.png \
		images/fileclose_s.png \
		images/file.png \
		images/radio_s.png \
		images/battery4.png \
		images/folder-open.png \
		images/newfolder.png \
		images/battery0.png \
		images/properties.png \
		images/view_top_bottom.png
	/usr/bin/rcc -name ifpgui ifpgui.qrc -o qrc_ifpgui.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

build/obj/settings.o: settings.cpp settings.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/obj/settings.o settings.cpp

build/obj/revision.o: revision.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/obj/revision.o revision.cpp

build/obj/radiofreqdlg.o: radiofreqdlg.cpp radiofreqdlg.h \
		backend/ifpinterface.h \
		ifp.h \
		gui_user.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/obj/radiofreqdlg.o radiofreqdlg.cpp

build/obj/main.o: main.cpp ifp_gui.h \
		ifpguiview.h \
		fileviewer.h \
		backend/iointerface.h \
		gui_user.h \
		settings.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/obj/main.o main.cpp

build/obj/ifpguiview.o: ifpguiview.cpp ifp_gui.h \
		ifpguiview.h \
		fileviewer.h \
		backend/iointerface.h \
		gui_user.h \
		settings.h \
		radiofreqdlg.h \
		backend/ifpinterface.h \
		ifp.h \
		playlist/playlistloader.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/obj/ifpguiview.o ifpguiview.cpp

build/obj/ifp_gui.o: ifp_gui.cpp backend/ifpinterface.h \
		ifp.h \
		radiofreqdlg.h \
		revision.h \
		ifp_gui.h \
		ifpguiview.h \
		fileviewer.h \

=== debian/changelog ===
ifpgui (1.0.0-3) unstable; urgency=low

  * Add patch for FTBFS against gcc-4.7.  (Closes: #672058)
    - Thank you to Paul Tagliamonte.
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.9.3 (no changes).
  * Update d/rules to add build-arch and build-indep targets.

 -- tony mancill <tmancill@debian.org>  Sun, 20 May 2012 20:58:27 -0700

ifpgui (1.0.0-2) unstable; urgency=low

  * Switching architecture to linux-any.
    - The package has never built on hurd.
    - Looks like kfreebsd have settled on an incompatible libusb.

 -- Jacob Luna Lundberg <jacob@gnifty.net>  Sun, 25 Jul 2010 11:07:59 -0700

ifpgui (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Uses libusb 1.0 and QT 4.
  * Source moved around a lot; updated debian/rules.
  * Removed deprecated Encoding key from desktop file.
  * Update to policy version 3.9.0.0.  No changes required.
  * Added debian/watch file.

 -- Jacob Luna Lundberg <jacob@gnifty.net>  Sat, 24 Jul 2010 16:21:25 -0700

=== debian/control ===
Source: ifpgui
Section: sound
Priority: extra
Homepage: http://ifpgui.sourceforge.net/
Maintainer: Jacob Luna Lundberg <jacob@gnifty.net>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 7), libqt4-dev, qt4-dev-tools, libusb-1.0-0-dev, libifp-dev (>= 1.0.0.2)
Standards-Version: 3.9.3

Package: ifpgui
Architecture: linux-any
Replaces: ifp-gui
Depends: ${shlibs:Depends}, ${misc:Depends}, libifp4 (>= 1.0.0.2)
Recommends: udev
Description: QT based manager for iRiver iFP audio players
 This project is an open-source graphical user interface (GUI)
 for iRiver's iFP flash audio players.  It uses libifp to access
 the player over the management interface.
 .
 This program does not work with the H, T or other recent models.
 These models are known to work: iFP-1xx,3xx,5xx,7xx,8xx,9xx and N10.
 You can only use this software if your player has the "Management"
 version of iRiver's firmware installed.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 CFLAGS = -Wall -g
-QMAKE = qmake
+QMAKE = qmake-qt4
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -18,10 +18,14 @@
 	CFLAGS += -O2
 endif
 
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
-build:
+build-stamp:
 	dh_testdir
-	cd src && lrelease src.pro && $(QMAKE) src.pro
+	mkdir -p bin/translations build/{moc,obj}
+	lrelease ifpgui.pro
 	$(QMAKE) ifpgui.pro
 	$(MAKE)
 
@@ -31,21 +35,20 @@
 	$(QMAKE) ifpgui.pro
 	[ ! -f Makefile ] || $(MAKE) clean
 	dh_clean
-	-rm -rf bin
-	-rm Makefile src/Makefile
-	-rm src/translations/*qm
-	-rm -rf src/moc src/obj
+	-rm Makefile
+	-rm translations/*qm
+	-rm -rf bin build/{moc,obj}
 
 binary-arch: build
 	dh_testdir
 	dh_testroot
 	dh_clean 
-	dh_installdirs usr/bin usr/share/qt3/translations usr/share/applications
-	dh_install src/translations/*.qm usr/share/qt3/translations
+	dh_installdirs usr/bin usr/share/qt4/translations usr/share/applications
+	dh_install translations/*.qm usr/share/qt4/translations
 	dh_install bin/ifpgui usr/bin
 	dh_install debian/ifpgui.desktop usr/share/applications
-	dh_installchangelogs CHANGELOG
-	dh_installdocs ifpgui.faq README
+	dh_installchangelogs
+	dh_installdocs docs/iRiver.pdf
 	dh_installman debian/ifpgui.1
 	dh_link
 	dh_strip

=== debian/watch ===
version=3
http://sf.net/ifpgui/ifpgui-(.+)\.tar\.gz
